{
  config,
  lib,
  ...
}: let
  inherit (config.rose-pine) sources;

  cfg = config.programs.zathura.rose-pine;
  enable = cfg.enable && config.programs.zathura.enable;

  themeName =
    if (cfg.flavor == "main")
    then "rose-pine"
    else "rose-pine-${cfg.flavor}";
in {
  options.programs.zathura.rose-pine = lib.rp.mkRosePineOpt {name = "zathura";};

  config.programs.zathura.extraConfig = lib.mkIf enable ''
    include ${sources.zathura + "/${themeName}"}
  '';
}
